%if 0%{?el7}
%define dist .el7
%endif

Name:		gpac
Version:	0.6.1
Release:	1%{?dist}
Summary:	A multimedia framework oriented towards rich media

Group:		Applications/Multimedia
License:	LGPL
URL:		http://gpac.io
Source0:    https://github.com/gpac/%{name}/archive/v%{version}.tar.gz

Patch0:     gpac-0.5.2-config.patch

BuildRequires:	zlib-devel xulrunner-devel
BuildRequires:	alsa-lib-devel pulseaudio-libs-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	freetype-devel openssl-devel SDL-devel
BuildRequires:	ghc-OpenGL-devel libpng-devel xmlrpc-c-devel
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
BuildRequires:	libjpeg-turbo-devel
%endif
BuildRequires:	openjpeg-devel
%if 0%{?fedora}
BuildRequires:  libfreenect-devel
%endif
BuildRequires:	libogg-devel wxGTK-devel libupnp-devel
BuildRequires:	libtheora-devel libvorbis-devel

#custom
BuildRequires:	faad2-devel faad2 libmad a52dec-devel
BuildRequires:	libxvidcore-devel ffmpeg-devel

%description
GPAC supports many multimedia formats, from simple audiovisual containers (avi, mov, mpg) to complex
presentation formats (MPEG-4 Systems, SVG Tiny 1.2, VRML/X3D). GPAC supports scripting of presentation for MPEG4/VRML/X3D through
mozilla SpiderMonkey javascript engine.
GPAC currently supports local playback, http progressive download, Adaptive HTTP Streaming (MPEG-DASH, HLS), RTP/RTSP streaming over UDP (unicast or multicast) or TCP and TS demuxing (from file, IP or DVB4Linux).
GPAC also features MP4Box, a multimedia swiss-army knife for the prompt.

%package devel
Summary:	Libraries for gpac
Group:		System Environment/Libraries

%description devel
Libraries for gpac

%package static
Summary:	Static library for gpac
Group:		System Environment/Libraries

%description static
Static library for gpac

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
%configure \
	--libdir=%{_lib} \
	--use-js=no \
	--use-ft \
	--use-zlib \
	--use-jpeg \
	--use-png \
	--use-faad \
	--use-mad \
	--use-xvid \
	--use-ffmpeg \
	--use-ogg \
	--use-vorbis \
	--use-theora \
	--use-openjpeg \
	--use-a52


make %{?_smp_mflags}


%install
install -d -m0755 $RPM_BUILD_ROOT%{_libdir}/pkgconfig
make install DESTDIR=$RPM_BUILD_ROOT
make install-lib DESTDIR=$RPM_BUILD_ROOT

%files
%doc AUTHORS BUGS Changelog INSTALLME README.md TODO
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc doc/CODING_STYLE doc/*.doc doc/INSTALL* doc/ISO* doc/SceneGenerators doc/configuration.html
%doc doc/ipmpx_syntax.bt doc/osmo4.ico
%{_bindir}/MP4Box
%{_bindir}/MP4Client
%{_bindir}/MP42TS
%{_bindir}/DashCast
%{_libdir}/%{name}/*.so
%{_libdir}/lib%{name}.so.*
%{_datadir}/%{name}/%{name}.mp4
%{_datadir}/%{name}/gui/*
%{_datadir}/%{name}/shaders/*.glsl
%{_mandir}/man1/*.1*

%files devel
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/internal/*.h
%{_includedir}/%{name}/modules/*.h
%{_libdir}/libgpac.so
%{_libdir}/pkgconfig/gpac.pc

%files static
%{_libdir}/libgpac_static.a

%changelog
* Tue Mar 08 2016 momo-i <webmaster@momo-i.org> - 0.6.1-1
- Update to 0.6.1

* Mon Feb 22 2016 momo-i <webmaster@momo-i.org> - 0.6.0-2
- Update summary and description

* Sun Feb 21 2016 momo-i <webmaster@momo-i.org> - 0.6.0-1
- Update to 0.6.0

* Wed Feb 17 2016 momo-i <webmaster@momo-i.org> - 0.5.2-18.gitb2e3bfc
- Update to b2e3bfc

* Thu Jan 21 2016 momo-i <webmaster@momo-i.org> - 0.5.2-17.git4541eeb
- Update to 4541eeb

* Fri Jan 08 2016 momo-i <webmaster@momo-i.org> - 0.5.2-16.gitedd2b7c
- Update to edd2b7c

* Sun Dec 27 2015 momo-i <webmaster@momo-i.org> - 0.5.2-15.git9f2bf6e
- Update to 9f2bf6e

* Mon Dec 07 2015 momo-i <webmaster@momo-i.org> - 0.5.2-14.gitee04426
- Update to ee04426

* Mon Nov 02 2015 momo-i <webmaster@momo-i.org> - 0.5.2-13.git805fefa
- Update to 805fefa

* Mon Sep 28 2015 momo-i <webmaster@momo-i.org> - 0.5.2-12.git0fd69e0
- Update to 0fd69e0

* Sun Sep 06 2015 momo-i <webmaster@momo-i.org> - 0.5.2-11.gitb1a150e
- Update to b1a150e

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.5.2-10.git9889e78
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.5.2-9.git9889e78
- Rebuilt for fc23

* Fri Jul 31 2015 momo-i <webmaster@momo-i.org> - 0.5.2-8
- Update to 9889e78

* Wed Jul 15 2015 momo-i <webmaster@momo-i.org> - 0.5.2-7
- Update to de6f8c1

* Tue Jun 23 2015 momo-i <webmaster@momo-i.org> - 0.5.2-6
- Change Repository URL svn to git
- Update to 0.5.2

* Mon Dec 22 2014 momo-i <webmaster@momo-i.orG> - 0.5.0-5
- Update rev5573

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 0.5.0-4
- Update rev5501

* Wed Sep  3 2014 momo-i <webmaster@momo-i.org> - 0.5.0-3
- Rebuilt

* Thu Jan 23 2014 momo-i <webmaster@momo-i.org> - 0.5.0-2
- Update to svn rev 5000

* Wed Mar  6 2013 momo-i <webmaster@momo-i.org> 0.5.0-1
- Initial rpm release.
